<?php

namespace EventPortal\Domain\Form;

use Illuminate\Support\Arr;

class FormRegistry
{
    /** @var array<string> */
    private $forms = [];

    public function make(string $formName): Form
    {
        if (Arr::has($this->forms, $formName)) {
            return $this->forms[$formName];
        }

        $this->forms[$formName] = new Form($formName);

        return $this->forms[$formName];
    }
}
